Subject: Re: linux-next: manual merge of the pcmcia tree with the arm tree

From: Dmitry Artamonow <[email-masked]>
Date: Wed, 2 Dec 2009 14:56:49 +0300

On 14:03 Tue 01 Dec     , Stephen Rothwell wrote:
> Hi Dominik,
> 
> Today's linux-next merge of the pcmcia tree got a conflict in
> drivers/pcmcia/sa1100_h3600.c between commit
> 6ce8f65e71f0d80ee23b543be09789dd865a99be ("ARM: 5811/1: pcmcia: convert
> sa1100_h3600 driver to gpiolib") from the arm tree and commit
> 66024db57d5b9011e274b314affad68f370c0d6f ("PCMCIA: stop duplicating
> pci_irq in soc_pcmcia_socket") from the pcmcia tree.
> 
> I fixed it up (see below) and can carry the fix as necessary.  Please
> check the fix below.

Fix looks good to me, and testing next-20091201 on real device (h3600)
shows no problems with pcmcia.

Perhaps this merge conflict can be avoided by merging Russell's PCMCIA
patches through arm tree. But, anyway, it's Russell and Dominik
to decide.

-- 
Best regards,
Dmitry "MAD" Artamonow